---
title: hcloud_server
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.hcloud_server) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.hcloud_server?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.hcloud_server) [![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.hcloud_server/src/branch/main/LICENSE)

Manage Hetzner Cloud server instances

<!--more-->

- [Default Variables](#default-variables)
  - [hcloud_server](#hcloud_server)
  - [hcloud_server_default_api_token](#hcloud_server_default_api_token)
  - [hcloud_server_default_backup](#hcloud_server_default_backup)
  - [hcloud_server_default_image](#hcloud_server_default_image)
  - [hcloud_server_default_location](#hcloud_server_default_location)
  - [hcloud_server_default_protection](#hcloud_server_default_protection)
  - [hcloud_server_default_ssh_keys](#hcloud_server_default_ssh_keys)
  - [hcloud_server_networks](#hcloud_server_networks)
  - [hcloud_server_rdns](#hcloud_server_rdns)
  - [hcloud_server_volumes](#hcloud_server_volumes)
- [Dependencies](#dependencies)

---

## Default Variables

### hcloud_server

#### Default value

```YAML
hcloud_server: {}
```

#### Example usage

```YAML
hcloud_server:
  name: my-server
  type: cx11
  ssh_keys: "{{ hcloud_server_default_ssh_keys }}"
  image: "{{ hcloud_server_default_image }}"
  location: "{{ hcloud_server_default_location }}"
  backup: "{{ hcloud_server_default_backup }}"
  protection: "{{ hcloud_server_default_protection }}"
  api_token: "{{ hcloud_server_default_api_token }}"
  labels:
    os: redhat
```

### hcloud_server_default_api_token

#### Default value

```YAML
hcloud_server_default_api_token: _unset_
```

### hcloud_server_default_backup

#### Default value

```YAML
hcloud_server_default_backup: false
```

### hcloud_server_default_image

#### Default value

```YAML
hcloud_server_default_image: centos-7
```

### hcloud_server_default_location

#### Default value

```YAML
hcloud_server_default_location: nbg1
```

### hcloud_server_default_protection

#### Default value

```YAML
hcloud_server_default_protection: false
```

### hcloud_server_default_ssh_keys

#### Default value

```YAML
hcloud_server_default_ssh_keys: []
```

### hcloud_server_networks

#### Default value

```YAML
hcloud_server_networks: []
```

#### Example usage

```YAML
hcloud_server_networks:
  - name: network-1
    ip: 10.0.0.1
    state: present
```

### hcloud_server_rdns

#### Default value

```YAML
hcloud_server_rdns: []
```

#### Example usage

```YAML
hcloud_server_rdns:
  - addr: 1.2.3.4
    ptr: example.com
    state: present
```

### hcloud_server_volumes

#### Default value

```YAML
hcloud_server_volumes: []
```

#### Example usage

```YAML
hcloud_server_volumes:
  - name: my-volume
    size: 10
    state: present
```



## Dependencies

None.
